precision lowp int; 
precision lowp float;

uniform sampler2D DiffuseMap;

varying lowp vec4 uvs;
varying lowp vec4 uvsAlpha;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;


void main() 
{
    vec4 v4Colour =  texture2D(DiffuseMap, uvs.xy  ) *  vertexcolour;
    v4Colour.a = texture2D(DiffuseMap, uvsAlpha.xy).r;
    gl_FragColor = v4Colour;
    
    
#if defined(OVERDRAW_TEST)
    
    gl_FragColor = vec4(0.05, 0.0 ,0.0, 1.0);

#endif
    
	
}
